Bug 47152 - Apache is only serving the first character in the requested file.
Summary: Apache is only serving the first character in the requested file.
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.11
Hardware: Other Linux
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-05-04 20:23 UTC by Devin Samarin
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments
Patch to fix segfaults and incorrect realm values in mod_auth_digest (2.36 KB, patch)
2012-04-02 17:41 UTC, Troy Stanger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Samarin 2009-05-04 20:23:46 UTC
In short: Apache is only serving the first character in the requested file (that is not a PHP file)

This has got to be one of the strangest bugs I've ever seen.

Here is an example of the problem.
DirectoryIndex index.txt index.html

---

root[ /sources/httpd-2.2.11 ] # telnet localhost 8080
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
GET / HTTP/1.1
Host: eboyjr.ath.cx:8080

HTTP/1.1 200 OK
Date: Sun, 03 May 2009 20:07:19 GMT
Server: Apache/2.2.11 (Unix) DAV/2
Last-Modified: Sun, 03 May 2009 19:57:27 GMT
ETag: "9db14-1-46907747ed7c0"
Content-Length: 1
Content-Type: text/plain

HConnection closed by foreign host.
root[ /sources/httpd-2.2.11 ] # cat /srv/www/htdocs/index.txt
Hello world.

---

Instead of displaying 'Hello world.' it says 'H'
For HTML docs it usually says '<' because of the DOCTYPE

---

Apache was compiled from scratch using the exact same procedure as stated in the BLFS (Beyond Linux From Scratch) developmental version (6.4). However, it seems that it is only affecting my own computer.

Here are the steps:

1) Download: http://archive.apache.org/dist/httpd/httpd-2.2.11.tar.bz2
3) Patch (just for the layout):  http://www.linuxfromscratch.org/patches/blfs/svn/httpd-2.2.11-config-1.patch

Submitted By:            BLFS Book <blfs-book@linuxfromscratch.org>
Date:                    2005-12-14
Initial Package Version: 2.2.0 (patch rediffed from a 2.0.54 version)
Upstream Status:         Not submitted (LFS specific)
Origin:                  BLFS Book
Description:             Modify the FHS layout for installing Apache


diff -Naur httpd-2.2.0-orig/config.layout httpd-2.2.0/config.layout
--- httpd-2.2.0-orig/config.layout	2004-11-21 18:50:36.000000000 +0000
+++ httpd-2.2.0/config.layout	2005-12-14 21:07:24.000000000 +0000
@@ -322,3 +322,28 @@
     installbuilddir: ${prefix}/etc/apache2/build
     errordir:      ${datadir}/error
 </Layout>
+
+# BLFS FHS layout
+<Layout FHS>
+    prefix:             /usr
+    exec_prefix:        ${prefix}
+    bindir:             ${exec_prefix}/bin
+    sbindir:            ${exec_prefix}/sbin
+    libdir:             ${exec_prefix}/lib
+    libexecdir:         ${exec_prefix}/lib/apache
+    mandir:             ${prefix}/share/man
+    sysconfdir:         /etc/apache
+    datadir:            /srv/www
+    installbuilddir:    ${libexecdir}/build
+    errordir:           ${datadir}/error
+    iconsdir:           ${datadir}/icons
+    htdocsdir:          ${datadir}/htdocs
+    manualdir:          ${datadir}/manual
+    cgidir:             ${datadir}/cgi-bin
+    includedir:         ${prefix}/include/apache
+    localstatedir:      ${datadir}
+    runtimedir:         /var/run
+    logfiledir:         /var/log/apache
+    proxycachedir:      /var/cache/apache/proxy
+</Layout>
+

diff -Naur httpd-2.2.0-orig/srclib/apr/config.layout httpd-2.2.0/srclib/apr/config.layout
--- httpd-2.2.0-orig/srclib/apr/config.layout	2004-11-24 22:51:51.000000000 +0000
+++ httpd-2.2.0/srclib/apr/config.layout	2005-12-14 21:06:37.000000000 +0000
@@ -11,18 +11,18 @@
 
 #   Classical APR path layout designed for parallel installs.
 <Layout apr>
-    prefix:        /usr/local/apr
+    prefix:        /usr
     exec_prefix:   ${prefix}
     bindir:        ${exec_prefix}/bin
-    sbindir:       ${exec_prefix}/bin
+    sbindir:       ${exec_prefix}/sbin
     libdir:        ${exec_prefix}/lib
-    libexecdir:    ${exec_prefix}/modules
-    mandir:        ${prefix}/man
-    sysconfdir:    ${prefix}/conf
-    datadir:       ${prefix}
-    installbuilddir: ${datadir}/build-${APR_MAJOR_VERSION}
-    includedir:    ${prefix}/include/apr-${APR_MAJOR_VERSION}
-    localstatedir: ${prefix}
+    libexecdir:    ${exec_prefix}/lib/apache
+    mandir:        ${prefix}/share/man
+    sysconfdir:    /etc/apache
+    datadir:       /srv/www
+    installbuilddir: ${libexecdir}/build
+    includedir:    ${prefix}/include/apache
+    localstatedir: ${datadir}
     libsuffix:     -${APR_MAJOR_VERSION}
 </Layout>
 

diff -Naur httpd-2.2.0-orig/srclib/apr-util/config.layout httpd-2.2.0/srclib/apr-util/config.layout
--- httpd-2.2.0-orig/srclib/apr-util/config.layout	2005-02-09 12:18:43.000000000 +0000
+++ httpd-2.2.0/srclib/apr-util/config.layout	2005-12-14 21:06:37.000000000 +0000
@@ -11,18 +11,18 @@
 
 #   Classical APR-util path layout designed for parallel installs.
 <Layout apr-util>
-    prefix:        /usr/local/apr
+    prefix:        /usr
     exec_prefix:   ${prefix}
     bindir:        ${exec_prefix}/bin
-    sbindir:       ${exec_prefix}/bin
+    sbindir:       ${exec_prefix}/sbin
     libdir:        ${exec_prefix}/lib
-    libexecdir:    ${exec_prefix}/modules
-    mandir:        ${prefix}/man
-    sysconfdir:    ${prefix}/conf
-    datadir:       ${prefix}
-    installbuilddir: ${datadir}/build
-    includedir:    ${prefix}/include/apr-${APRUTIL_MAJOR_VERSION}
-    localstatedir: ${prefix}
+    libexecdir:    ${exec_prefix}/lib/apache
+    mandir:        ${prefix}/share/man
+    sysconfdir:    /etc/apache
+    datadir:       /srv/www
+    installbuilddir: ${libexecdir}/build
+    includedir:    ${prefix}/include/apache
+    localstatedir: ${datadir}
     libsuffix:     -${APRUTIL_MAJOR_VERSION}
 </Layout>
 
4) Commands
groupadd -g 25 apache &&
useradd -c "Apache Server" -d /dev/null -g apache \
        -s /bin/false -u 25 apache

patch -Np1 -i ../httpd-2.2.11-config-1.patch

./configure --enable-layout=FHS --enable-mods-shared=all &&
make

make install &&
chown -v root:root /usr/lib/apache/httpd.exp \
    /usr/sbin/{apxs,apachectl,dbmmanage,envvars{,-std}} \
    /usr/share/man/man1/{dbmmanage,ht{dbm,digest,passwd}}.1 \
    /usr/share/man/man8/{ab,apachectl,apxs,htcacheclean,httpd}.8 \
    /usr/share/man/man8/{logresolve,rotatelogs,suexec}.8 &&
chown -v -R apache:apache /srv/www

sed -i -e "s/User daemon/User apache/" \
       -e "s/Group daemon/Group apache/" \
    /etc/apache/httpd.conf


-----

Okay configuration... (the problem still exists with the default)

Compiler: GCC-4.3.2
http://www.linuxfromscratch.org/lfs/view/6.4/chapter06/gcc.html

There were no CFLAGS or anything... :P


---

When the requested page is parsed by PHP, it works fine. e.g. phpinfo() or anything else



---
I've included anything I could think of that distinguishes it from anything else, but I know it's probably not helpful enough.

I can give you any more details if you ask...
Please help.. I've been at this for a week!

I have also compiled with 2.2.8 from BLFS 6.3
If I am making a complete fool of myself please tell me :), but this bug is very very very very unusual!

http://www.linuxfromscratch.org/blfs/view/6.3/server/apache.html


I even tried commenting out some the modules, but with no success
Comment 1 Eric Covener 2009-05-05 05:50:05 UTC
Any difference after disabling sendfile and MMAP?

http://httpd.apache.org/docs/2.2/mod/core.html#enablemmap
http://httpd.apache.org/docs/2.2/mod/core.html#enablesendfile
Comment 2 Jeff Trawick 2009-05-05 07:27:13 UTC
Eric, the "Content-Length: 1" is from stat() unless there's a very odd filter enabled, right?
Comment 3 Devin Samarin 2009-05-05 16:05:09 UTC
Whoops... in the response header in the example..

I left out 'Accept-Ranges: bytes'. Maybe it is a problem with the range requests?

I added 

EnableMMAP Off
EnableSendfile Off

and no success
I commented out each one separately and also no success
Comment 4 Dan Poirier 2009-06-10 11:17:09 UTC
Agreed that this is weird.  On the off chance that it's a compiler or runtime library bug, you might try with the latest gcc or glibc.
Comment 5 Devin Samarin 2009-07-05 18:25:35 UTC
Wow ugh this sucks :P
I installed the latest GCC (4.4.0) and Glibc (2.10.1) and still the same problem...
I wonder what I could mention to make it easier to find the problem...
******************
root[ /srv/www/htdocs ] # gcc -v
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: ../gcc-4.4.0/configure --prefix=/usr --libexecdir=/usr/lib --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-languages=c,c++ --disable-multilib --disable-bootstrap
Thread model: posix
gcc version 4.4.0 (GCC)
root[ /srv/www/htdocs ] # locale -V
locale (GNU libc) 2.10.1
Copyright (C) 2009 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Ulrich Drepper.
root[ /srv/www/htdocs ] #
******************
I compiled as root.
I'll post the output of 'env' (which is when I compiled glibc and apache)
******************
  GNU nano 2.0.7              File: /root/ugh
HZ=100
SHELL=/bin/bash
TERM=linux
HUSHLOGIN=TRUE
USER=root
LS_COLORS=rs=0:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;3$MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin
PWD=/srv/www/htdocs
PS1=$(if [ $? == 0 ]; then echo -e "\[\e[1;36m\]"; elif [ $? == 1 ]; then echo $SHLVL=1
HOME=/root
LOGNAME=root
_=/usr/bin/env
OLDPWD=/srv/www






              [ line 1/16 (6%), col 1/7 (14%), char 0/1469 (0%) ]
^G Get Help  ^O WriteOut  ^R Read File ^Y Prev Page ^K Cut Text  ^C Cur Pos
^X Exit      ^J Justify   ^W Where Is  ^V Next Page ^U UnCut Text^T To Spell
********************
Oh duh, I could post the output of the compilation :)
********************
# ./configure --enable-layout=FHS --enable-mods-shared-all
checking for chosen layout... FHS
checking for working mkdir -p... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu

Configuring Apache Portable Runtime library ...

checking for APR... yes
  setting CC to "gcc"
  setting CPP to "gcc -E"
  setting CFLAGS to "  -pthread"
  setting CPPFLAGS to " -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE"
  setting LDFLAGS to " "

Configuring Apache Portable Runtime Utility library...

checking for APR-util... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
configure: Configuring PCRE regular expression library
configuring package in srclib/pcre now
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking for an ANSI C-conforming const... yes
checking for size_t... yes
checking for bcopy... yes
checking for memmove... yes
checking for strerror... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating pcre.h
config.status: creating pcre-config
config.status: creating config.h
config.status: executing default commands
srclib/pcre configured properly
  setting AP_LIBS to "/sources/httpd-2.2.11/srclib/pcre/libpcre.la"
  setting INCLUDES to "-I$(top_builddir)/srclib/pcre"

Configuring Apache httpd ...

  adding "-I." to INCLUDES
  adding "-I$(top_srcdir)/os/$(OS_DIR)" to INCLUDES
  adding "-I$(top_srcdir)/server/mpm/$(MPM_SUBDIR_NAME)" to INCLUDES
  adding "-I$(top_srcdir)/modules/http" to INCLUDES
  adding "-I$(top_srcdir)/modules/filters" to INCLUDES
  adding "-I$(top_srcdir)/modules/proxy" to INCLUDES
  adding "-I$(top_srcdir)/include" to INCLUDES
  adding "-I$(top_srcdir)/modules/generators" to INCLUDES
  adding "-I$(top_srcdir)/modules/mappers" to INCLUDES
  adding "-I$(top_srcdir)/modules/database" to INCLUDES
  adding "-I/usr/include/apache" to INCLUDES

Applying OS-specific hints for httpd ...

  forcing SINGLE_LISTEN_UNSERIALIZED_ACCEPT to "1"
  forcing AP_NONBLOCK_WHEN_MULTI_LISTEN to "1"
checking for rm... /bin/rm
checking for pkg-config... /usr/bin/pkg-config
checking for rsync... no
checking for gawk... gawk
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for lynx... no
checking for links... links
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for library containing strerror... none required
checking for APR version 1.2.0 or later... yes
checking for APR-util version 1.2.0 or later... yes
checking for ANSI C header files... (cached) yes
checking for string.h... (cached) yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking for unistd.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking for strings.h... (cached) yes
checking sys/prctl.h usability... yes
checking sys/prctl.h presence... yes
checking for sys/prctl.h... yes
checking sys/processor.h usability... no
checking sys/processor.h presence... no
checking for sys/processor.h... no
checking sys/sem.h usability... yes
checking sys/sem.h presence... yes
checking for sys/sem.h... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for an ANSI C-conforming const... yes
checking for library containing sqrt... -lm
checking for getpwnam... yes
checking for getgrnam... yes
checking for initgroups... yes
checking for bindprocessor... no
checking for prctl... yes
checking for timegm... yes
checking for getpgid... yes
checking for void pointer length... no
checking for tm_gmtoff in struct tm... yes
checking whether to enable mod_authn_file... shared (all)
checking whether to enable mod_authn_dbm... shared (all)
checking whether to enable mod_authn_anon... shared (all)
checking whether to enable mod_authn_dbd... shared (all)
checking whether to enable mod_authn_default... shared (all)
checking whether to enable mod_authn_alias... no
checking whether to enable mod_authz_host... shared (all)
checking whether to enable mod_authz_groupfile... shared (all)
checking whether to enable mod_authz_user... shared (all)
checking whether to enable mod_authz_dbm... shared (all)
checking whether to enable mod_authz_owner... shared (all)
checking whether to enable mod_authnz_ldap... no
checking whether to enable mod_authz_default... shared (all)
checking whether to enable mod_auth_basic... shared (all)
checking whether to enable mod_auth_digest... checking dependencies
checking whether to enable mod_auth_digest... shared (all)
checking whether to enable mod_isapi... no
checking whether to enable mod_file_cache... no
checking whether to enable mod_cache... no
checking whether to enable mod_disk_cache... no
checking whether to enable mod_mem_cache... no
checking whether to enable mod_dbd... shared (all)
checking whether to enable mod_bucketeer... no
checking whether to enable mod_dumpio... shared (all)
checking whether to enable mod_echo... no
checking whether to enable mod_example... no
checking whether to enable mod_case_filter... no
checking whether to enable mod_case_filter_in... no
checking whether to enable mod_ext_filter... shared (all)
checking whether to enable mod_include... shared (all)
checking whether to enable mod_filter... shared (all)
checking whether to enable mod_substitute... shared (all)
checking whether to enable mod_charset_lite... no
checking whether to enable mod_deflate... checking dependencies
checking for zlib location... /usr
  adding "-lz" to LIBS
checking for zlib library... found
  forcing MOD_DEFLATE_LDADD to "-lz"
  removed "-lz" from LIBS
checking whether to enable mod_deflate... shared (all)
checking whether to enable mod_ldap... no
checking whether to enable mod_log_config... shared (all)
checking whether to enable mod_log_forensic... shared (all)
  adding "-I$(top_builddir)/server" to INCLUDES
checking whether to enable mod_logio... shared (all)
checking whether to enable mod_env... shared (all)
checking whether to enable mod_mime_magic... shared (all)
checking whether to enable mod_cern_meta... shared (all)
checking whether to enable mod_expires... shared (all)
checking whether to enable mod_headers... shared (all)
checking whether to enable mod_ident... shared (all)
checking whether to enable mod_usertrack... checking dependencies
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking for times... yes
checking whether to enable mod_usertrack... shared (all)
checking whether to enable mod_unique_id... shared (all)
checking whether to enable mod_setenvif... shared (all)
checking whether to enable mod_version... shared (all)
checking whether to enable mod_proxy... no
checking whether to enable mod_proxy_connect... no
checking whether to enable mod_proxy_ftp... no
checking whether to enable mod_proxy_http... no
checking whether to enable mod_proxy_ajp... no
checking whether to enable mod_proxy_balancer... no
  adding "-I$(top_srcdir)/modules/proxy/../generators" to INCLUDES
checking whether to enable mod_ssl... no
  adding "-I$(top_srcdir)/modules/ssl" to INCLUDES
checking whether to enable mod_optional_hook_export... no
checking whether to enable mod_optional_hook_import... no
checking whether to enable mod_optional_fn_import... no
checking whether to enable mod_optional_fn_export... no
checking for target platform... unix
checking for rlim_t... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking for sys/sem.h... (cached) yes
checking sys/ipc.h usability... yes
checking sys/ipc.h presence... yes
checking for sys/ipc.h... yes
checking for setsid... yes
checking for killpg... yes
checking bstring.h usability... no
checking bstring.h presence... no
checking for bstring.h... no
checking for unistd.h... (cached) yes
checking for syslog... yes
checking for sys/times.h... (cached) yes
checking for times... (cached) yes
checking which MPM to use... prefork
checking whether to enable mod_http... yes
checking whether to enable mod_mime... shared (all)
checking for extra modules... none
checking whether to enable mod_dav... shared (all)
  adding "-I$(top_srcdir)/modules/dav/main" to INCLUDES
checking whether to enable mod_status... shared (all)
checking whether to enable mod_autoindex... shared (all)
checking whether to enable mod_asis... shared (all)
checking whether to enable mod_info... shared (all)
checking whether to enable mod_suexec... no
checking whether to enable mod_cgi... shared (all)
checking whether to enable mod_cgid... no
checking whether to enable mod_dav_fs... shared (all)
checking whether to enable mod_dav_lock... no
checking whether to enable mod_vhost_alias... shared (all)
checking whether to enable mod_negotiation... shared (all)
checking whether to enable mod_dir... shared (all)
checking whether to enable mod_imagemap... shared (all)
checking whether to enable mod_actions... shared (all)
checking whether to enable mod_speling... shared (all)
checking whether to enable mod_userdir... shared (all)
checking whether to enable mod_alias... shared (all)
checking whether to enable mod_rewrite... shared (all)
  setting HTTPD_LDFLAGS to "-export-dynamic"
checking whether to enable mod_so... yes

Restore user-defined environment settings...

  restoring CPPFLAGS to ""
  setting EXTRA_CPPFLAGS to " -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE"
  restoring CFLAGS to ""
  setting EXTRA_CFLAGS to "  -pthread"
  restoring CXXFLAGS to ""
  setting EXTRA_CXXFLAGS to ""
  restoring LDFLAGS to ""
  setting EXTRA_LDFLAGS to " "
  restoring LIBS to ""
  setting EXTRA_LIBS to " -lm"
  restoring INCLUDES to ""
  setting EXTRA_INCLUDES to "-I$(top_builddir)/srclib/pcre -I. -I$(top_srcdir)/os/$(OS_DIR) -I$(top_srcdir)/server/mpm/$(MPM_SUBDIR_NAME) -I$(top_srcdir)/modules/http -I$(top_srcdir)/modules/filters -I$(top_srcdir)/modules/proxy -I$(top_srcdir)/include -I$(top_srcdir)/modules/generators -I$(top_srcdir)/modules/mappers -I$(top_srcdir)/modules/database -I/usr/include/apache -I$(top_builddir)/server -I$(top_srcdir)/modules/proxy/../generators -I$(top_srcdir)/modules/ssl -I$(top_srcdir)/modules/dav/main"

Construct makefiles and header files...

creating config_vars.mk
configure: creating ./config.status
creating modules/aaa/Makefile
creating modules/arch/win32/Makefile
creating modules/cache/Makefile
creating modules/database/Makefile
creating modules/debug/Makefile
creating modules/echo/Makefile
creating modules/experimental/Makefile
creating modules/filters/Makefile
creating modules/ldap/Makefile
creating modules/loggers/Makefile
creating modules/metadata/Makefile
creating modules/proxy/Makefile
creating modules/ssl/Makefile
creating modules/test/Makefile
creating os/unix/Makefile
creating server/mpm/Makefile
creating server/mpm/prefork/Makefile
creating modules/http/Makefile
creating modules/dav/main/Makefile
creating modules/generators/Makefile
creating modules/dav/fs/Makefile
creating modules/dav/lock/Makefile
creating modules/mappers/Makefile
creating Makefile
creating modules/Makefile
creating srclib/Makefile
creating os/Makefile
creating server/Makefile
creating support/Makefile
creating srclib/pcre/Makefile
creating test/Makefile
config.status: creating docs/conf/httpd.conf
config.status: creating docs/conf/extra/httpd-autoindex.conf
config.status: creating docs/conf/extra/httpd-dav.conf
config.status: creating docs/conf/extra/httpd-default.conf
config.status: creating docs/conf/extra/httpd-info.conf
config.status: creating docs/conf/extra/httpd-languages.conf
config.status: creating docs/conf/extra/httpd-manual.conf
config.status: creating docs/conf/extra/httpd-mpm.conf
config.status: creating docs/conf/extra/httpd-multilang-errordoc.conf
config.status: creating docs/conf/extra/httpd-ssl.conf
config.status: creating docs/conf/extra/httpd-userdir.conf
config.status: creating docs/conf/extra/httpd-vhosts.conf
config.status: creating include/ap_config_layout.h
config.status: creating support/apxs
config.status: creating support/apachectl
config.status: creating support/dbmmanage
config.status: creating support/envvars-std
config.status: creating support/log_server_status
config.status: creating support/logresolve.pl
config.status: creating support/phf_abuse_log.cgi
config.status: creating support/split-logfile
config.status: creating build/rules.mk
config.status: creating build/pkg/pkginfo
config.status: creating build/config_vars.sh
config.status: creating include/ap_config_auto.h
config.status: executing default commands
*********************
# make
Here are some pastebins because I can't post large comments
http://pastebin.ca/1485188
http://pastebin.com/f5b405643
************************
Yeah that is a lot
But this is very frustrating for me
:/

Thank you so much for all your help so far! :D
Comment 6 Nick Kew 2009-07-06 01:31:45 UTC
Smells of a filesystem bug.  What does stat tell you about your index.txt?
Comment 7 Devin Samarin 2009-07-06 17:23:22 UTC
I've never used stat before but I wonder if this is what you need?

root[ ~ ] # stat /srv/www/htdocs/index.txt
  File: `/srv/www/htdocs/index.txt'
  Size: 13              Blocks: 8          IO Block: 4096   regular file
Device: 803h/2051d      Inode: 645908      Links: 1
Access: (0644/-rw-r--r--)  Uid: (   25/  apache)   Gid: (   25/  apache)
Access: 2009-07-05 17:06:23.000000000 -0700
Modify: 2009-05-03 11:51:12.000000000 -0700
Change: 2009-07-05 16:36:51.000000000 -0700

root[ ~ ] # stat /srv/www/htdocs/index.txt -f
  File: "/srv/www/htdocs/index.txt"
    ID: ddcd1326d5af12b6 Namelen: 255     Type: ext2/ext3
Block size: 4096       Fundamental block size: 4096
Blocks: Total: 4128763    Free: 2320113    Available: 2152315
Inodes: Total: 1054704    Free: 684458
Comment 8 Troy Stanger 2012-04-02 17:41:34 UTC
Created attachment 28530 [details]
Patch to fix segfaults and incorrect realm values in mod_auth_digest
Comment 9 Troy Stanger 2012-04-02 17:43:32 UTC
(In reply to comment #8)
> Created attachment 28530 [details]
> Patch to fix segfaults and incorrect realm values in mod_auth_digest

Please disregard this, the patch got associated with the wrong bug.
Comment 10 William A. Rowe Jr. 2018-11-07 21:08:39 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.